Remote playback fails when missing referenced files (even with disable referenced files property)
Status: Closed

Priority: Normal

Category:

Customer: CARIAD Product Issue https://www.cip.audi.de/jira/browse/ACO
Numbers: RE-10885

Department: G3-4 Affected Products: ADTF 3.10.0

Requester's Priority: Blocker Platform: Windows 10 64bit

Support Level: 3rd Level Topic: ADTF::Player

Resolution: Product Issue Opened FAQ Links:

Description

Supportanfrage

Wenn ich im ADTF3 mit dem "ADTFDAT File Player" ein ADTF2-Dat-File wiedergeben mdchte, das Teil eines referenced-Sets ist, so
kann ich das Dat-File nur 6ffnen, wenn alle Dateien des referenced-Sets gefunden werden kénnen.

Einzelne Dateien aus einem Set lassen sich nicht 6ffnen, unabhéngig der "load_referenced_files" property (die es irgendwie doppelt
gibt, sowohl im "ADTFDAT File Player" Plugin als auch im "playback.service.adtf" Service)

Erwartetes Verhalten:
Dat-Files eines Referenced/SplitFile Sets lassen sich sowohl unabhéngig voneinander als auch als Komplett-set abspielen
(Verhalten wie in ADTF2).

Lésung

Wenn tber RPC gedffnet wird nimmt er immer bLoadReferencedFiles = tTrue. Ich habe dafir das Produktticket
https://www.cip.audi.de/jira/browse/ACORE-10885 erstellt. Da wird dann die Property des Services beachtet werden.

History

#1 - 2021-02-03 21:09 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Player

- Support Level changed from 2nd Level to 3rd Level

#2 - 2021-02-04 15:11 - hidden
Hi Falk,

ich kann das von dir beschriebene Problem nicht nachstellen. Wenn ich bei der ADTFDAT File Player Source "load_referenced_files" = false setze
und bei "filenames" ein Spilitfile einer Serie (wobei die restlichen Splits nicht existieren) angebe, klappt das bei mir wunderbar.

Kannst Du nochmal deine Schritte genau erlautern?
Danke,
Martin

#3 - 2021-02-05 02:44 - hidden

Hm, bei mir geht es jetzt auch, wenn "load_referenced_files = false" gesetzt ist. Ich frage noch einmal bei den Kollegen nach, ob sie es noch
reproduzieren kénnen.

#4 - 2021-02-05 11:07 - hidden

Gerade noch einmal nachgestellt:
load_referenced_files = false

wenn man das unvollstandige Split-File im CE als property des Players auswabhlt, funktioniert es.
wenn man im Launcher @ RL_Session im demo_qt_player_control_view.ui_service.adtf auf "Open .adtfdat ..." klickt und dort das file auswahlt,
kommt der Fehler (er beriicksichtigt wohl das property load_referenced_files nicht). Es scheint auch so, dass der Fehler getriggert wird, wenn man
"von aufBen" Uber die adtf_control (oder ein script) das Dat-File andert.

#5 - 2021-02-05 11:41 - hidden
- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10885

Hi Falk,

aja, wenn Uber RPC gedffnet wird nimmt er immer bLoadReferencedFiles = tTrue. Ich habe dafiir das Produkiticket
https://www.cip.audi.de/jira/browse/ACORE-10885 erstellt. Da wird dann die Property des Services beachtet werden.

GriBe,

Martin

#6 - 2021-02-05 17:49 - hidden
- Project changed from 30 to Public Support

- Subject changed from ADTF3 Playback of ADTF2 split files to Remote playback fails when missing referenced files (even with disable referenced
files property)

- Description updated
- Status changed from In Progress to To Be Closed

- Private changed from Yes to No
Ist gefixt und im master, kommt in die 3.11

#7 - 2021-07-26 13:24 - hidden
- Customer changed from Car.SW Org. to CARIAD

#8 - 2022-01-17 08:17 - hidden
- Status changed from To Be Closed to Closed

2024-04-20 22


https://www.cip.audi.de/jira/browse/ACORE-10885
http://www.tcpdf.org

